glib-0.13.1.0: Binding to the GLIB library for Gtk2Hs.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.Glib.GType

Description

This module implements only the necessities for the GTK binding.

Synopsis

- type GType = CUInt
- typeInstanceIsA :: Ptr () -> GType -> Bool
- glibTypeInit :: IO ()

# Documentation

type GType = CUInt

typeInstanceIsA :: Ptr () -> GType -> Bool

Check if an object is of the specific type or derived from it.

- Internally used by Hierarchy.

glibTypeInit :: IO ()

Prior to any use of the glib type/object system, `glibTypeInit` has to be called to initialise the system.

Note that this is not needed for gtk applications using `initGUI` since that initialises everything itself. It is only needed for applications using glib directly, without also using gtk.